Subject: bug#45705: [feature/native-comp] Excessive memory consumption on windows 10

From: Andrea Corallo <[email-masked]>
Date: Fri, 08 Jan 2021 15:50:28 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Wed, 06 Jan 2021 20:55:35 +0000
>> Cc: [email-masked]
>> From: Andrea Corallo via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> > On windows 10, I noticed that emacs could use a lot of memory, up to
>> > 6Go and
>> > sometimes more. The memory consumption goes up and down from time to
>> > time while
>> > I am not running any specific program in emacs, apart `lsp-java`
>> >
>> > As my personal computer has 16Go of RAM, I can afford
>> > it. Unfortunately, my work
>> > computer has much less and the whole compute completely freezes at one
>> > point
>> > when using emacs.
>> >
>> > I did not notice that behavior on linux. I do not know if the master
>> > branch has
>> > the same problem. What could be the problem ?
>> 
>> Hi Édouard,
>> 
>> AFAIK was never proved recently Emacs garbage collector is failing to
>> recall memory, so I guess this is just some Lisp program that is
>> allocating a lot of memory keeping then those objects referenced.
>
> IME, 6 GiB is too much for any Lisp program to explain away.
>
> Also, the memory allocator we use on Windows is known to return memory
> to the OS more than glibc on GNU/Linux.  I have never seen my Emacs
> session get anywhere near 1 GiB, let alone more, and my sessions run
> for many weeks without restarting.
>
> Can you tell what kind of memory footprints you see on your system
> with the native-comp branch, after running the session for several
> days or more?

Hi Eli,

consumptions of few GiB is something I've seen more then once for long
standing sessions.  You might be right in this being a memory leak,
indeed I've no prove of that (I think we have none for the other
direction either).

Assuming it's a bug I don't see a priori why this should be a different
one respect the one reported for master.

Regards

  Andrea